Summary:       Various ancient mail-related perl modules
Name:          perl-MailTools
Version:       2.21
Release:       6%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/MailTools
Source0:       https://cpan.metacpan.org/authors/id/M/MA/MARKOV/MailTools-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: coreutils, findutils, sed
BuildRequires: make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker)
BuildRequires: perl(base), perl(Carp), perl(Config), perl(Date::Format)
BuildRequires: perl(Date::Parse), perl(Exporter), perl(IO::Handle)
BuildRequires: perl(Net::Domain) >= 1.05, perl(Net::NNTP), perl(Net::SMTP) >= 1.03
BuildRequires: perl(Net::SMTP::SSL), perl(POSIX), perl(strict), perl(vars)
BuildRequires: perl(Test::More), perl(warnings), perl(Test::Pod)
Requires:      perl(Net::Domain) >= 1.05, perl(Net::NNTP)

%description
MailTools is a set of ancient Perl modules related to mail applications.

%prep
%autosetup -n MailTools-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build



%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}



%check
make test
make test TEST_FILES="xt/*.t"



%files
%doc ChangeLog README* examples/
%dir %{perl_vendorlib}/Mail/
%dir %{perl_vendorlib}/Mail/Field/
%dir %{perl_vendorlib}/Mail/Mailer/
%doc %{perl_vendorlib}/Mail/Address.pod
%doc %{perl_vendorlib}/Mail/Cap.pod
%doc %{perl_vendorlib}/Mail/Field.pod
%doc %{perl_vendorlib}/Mail/Field/AddrList.pod
%doc %{perl_vendorlib}/Mail/Field/Date.pod
%doc %{perl_vendorlib}/Mail/Field/Generic.pod
%doc %{perl_vendorlib}/Mail/Filter.pod
%doc %{perl_vendorlib}/Mail/Header.pod
%doc %{perl_vendorlib}/Mail/Internet.pod
%doc %{perl_vendorlib}/Mail/Mailer.pod
%doc %{perl_vendorlib}/Mail/Send.pod
%doc %{perl_vendorlib}/Mail/Util.pod
%doc %{perl_vendorlib}/MailTools.pod
%{perl_vendorlib}/Mail/Address.pm
%{perl_vendorlib}/Mail/Cap.pm
%{perl_vendorlib}/Mail/Filter.pm
%{perl_vendorlib}/Mail/Header.pm
%{perl_vendorlib}/Mail/Internet.pm
%{perl_vendorlib}/Mail/Field.pm
%{perl_vendorlib}/Mail/Mailer.pm
%{perl_vendorlib}/Mail/Send.pm
%{perl_vendorlib}/Mail/Util.pm
%{perl_vendorlib}/Mail/Field/AddrList.pm
%{perl_vendorlib}/Mail/Field/Date.pm
%{perl_vendorlib}/Mail/Field/Generic.pm
%{perl_vendorlib}/Mail/Mailer/qmail.pm
%{perl_vendorlib}/Mail/Mailer/rfc822.pm
%{perl_vendorlib}/Mail/Mailer/sendmail.pm
%{perl_vendorlib}/Mail/Mailer/smtp.pm
%{perl_vendorlib}/Mail/Mailer/smtps.pm
%{perl_vendorlib}/Mail/Mailer/testfile.pm
%{perl_vendorlib}/MailTools.pm
%{_mandir}/man3/Mail::Address.3*
%{_mandir}/man3/Mail::Cap.3*
%{_mandir}/man3/Mail::Field.3*
%{_mandir}/man3/Mail::Field::AddrList.3*
%{_mandir}/man3/Mail::Field::Date.3*
%{_mandir}/man3/Mail::Field::Generic.3*
%{_mandir}/man3/Mail::Filter.3*
%{_mandir}/man3/Mail::Header.3*
%{_mandir}/man3/Mail::Internet.3*
%{_mandir}/man3/Mail::Mailer.3*
%{_mandir}/man3/Mail::Send.3*
%{_mandir}/man3/Mail::Util.3*
%{_mandir}/man3/MailTools.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.21-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.21-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.21-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.21-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.21-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 cunshunxia <cunshunxia@tencent.com> - 2.21-1
- initial build
